Bug 157245 - PPC Dual-disk install to /dev/hdb changes /dev/hda's "Apple_partition_map" partition to type "Apple_Bootstrap"
PPC Dual-disk install to /dev/hdb changes /dev/hda's "Apple_partition_map" pa...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-09 15:19 EDT by Dan Williams
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-27 10:36:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2005-05-09 15:19:39 EDT
Seen with FC4T2 and latest FC4T3nightly (2005-05-08).

See these pages for more details:
http://www.yellowdoglinux.com/support/solutions/ydl_3.0/dual-drive-fix.shtml
http://lists.terrasoftsolutions.com/pipermail/yellowdog-general/2003-April/007186.html

Even though I have elected _NOT_ to touch /dev/hda, the first partition on
/dev/hda changes from type "Apple_partition_map" to type "Apple_Bootstrap" after
install of FC4.  No data is touched, simply the partition type is changed.  This
renders OS X unbootable as OS X does not recognize any partitions on the system
after this change has occurred.  The only method to recover your system is to
change that type back with a hacked copy of 'pdisk'.

Disk layout _before_ install, from OS X's pdisk command:

/dev/rdisk1 == /dev/hda (ATA Master)
/dev/rdisk0 == /dev/hdb (ATA Slave)


/dev/rdisk1  map block size=512
   #:                 type name                 length   base     ( size )
   1:  Apple_partition_map Apple                    63 @ 1       
   2:       Apple_Driver43*Macintosh                54 @ 64      
   3:       Apple_Driver43*Macintosh                74 @ 118     
   4:     Apple_Driver_ATA*Macintosh                54 @ 192     
   5:     Apple_Driver_ATA*Macintosh                74 @ 246     
   6:       Apple_FWDriver Macintosh               200 @ 320     
   7:   Apple_Driver_IOKit Macintosh               512 @ 520     
   8:        Apple_Patches Patch Partition         512 @ 1032    
   9:            Apple_HFS Untitled           12330982 @ 1544     (  5.9G)
  10:           Apple_Free                          10 @ 12332526

Device block size=512, Number of Blocks=12594960
DeviceType=0x0, DeviceId=0x0
Drivers-
1: @ 64 for 23, type=0x1
2: @ 118 for 36, type=0xffff
3: @ 192 for 21, type=0x701
4: @ 246 for 34, type=0xf8ff

/dev/rdisk0  map block size=512
   #:                 type name                 length   base     ( size )
   1:  Apple_partition_map Apple                    63 @ 1       
   2:       Apple_Driver43*Macintosh                56 @ 64      
   3:       Apple_Driver43*Macintosh                56 @ 120     
   4:     Apple_Driver_ATA*Macintosh                56 @ 176     
   5:     Apple_Driver_ATA*Macintosh                56 @ 232     
   6:       Apple_FWDriver Macintosh               512 @ 288     
   7:   Apple_Driver_IOKit Macintosh               512 @ 800     
   8:        Apple_Patches Patch Partition         512 @ 1312    
   9:           Apple_Free                           0+@ 1824    
  10:            Apple_HFS Apple_HFS_Untitled_3 39815104 @ 263968   ( 19.0G)
  11:           Apple_Free                           0+@ 40079072

Device block size=512, Number of Blocks=40079088
DeviceType=0x0, DeviceId=0x0
Drivers-
1: @ 64 for 23, type=0x1
2: @ 120 for 36, type=0xffff
3: @ 176 for 21, type=0x701
4: @ 232 for 34, type=0xf8ff
Comment 1 Dan Williams 2005-05-09 15:52:45 EDT
Steps:

/dev/hda = OS X drive
/dev/hdb = future Fedora Core drive

1) Normal install until Disk Partitioning Setup screen
2) Choose Autopartition
3) Select "Remove all partitions on this system"
4) Deselect /dev/hda (OS X drive)
5) Check "Review and modify if needed"
6) Next
7) Note hda shows 128M free space errantly
8) continue as normal to standard packages, next
9) note error in anaconda.log following enablefilesystems
10) dialog - Partition Map has no Partition Map Entry
11) pdisk shows hda1 changed to Apple_Bootstrap
Comment 2 Paul Nasrat 2005-05-27 10:36:34 EDT
Should be fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.